Failed to emerge dev-lang/php-5.2.9-r2

Anything that pertains to Portage

Moderator: Moderators

Failed to emerge dev-lang/php-5.2.9-r2

Postby everplays » Thu Jun 18, 2009 12:28

hi :)

i'm trying to recompile php with enabled json, xslt, simplexml, ... so i have edited /etc/portage/package.use & here is my php line in package.use
Code: Select all
dev-lang/php mysql mysqli sqlite ftp gd imap calendar ctype sockets snmp wddx apache2 filter soap curl json simplexml xmlreader mhash hash xmlwriter xmlrpc xsl zlib xml


but when i emerge php it give me following error
Code: Select all
behrooz@behrooz-laptop /etc/portage $ su
Password:
behrooz-laptop portage # emerge dev-lang/php
Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) dev-lang/php-5.2.9-r2
 * php-patchset-5.2.9-r2.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                                                                                                                                   [ ok ]
 * php-5.2.9.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                                                                                                                                               [ ok ]
 * checking ebuild checksums ;-) ...                                                                                                                                                               [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                                                                              [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                                                                             [ ok ]
 * Determining SAPI(s) to build
 *   Enabled  SAPI: cli
 *   Disabled SAPI: cgi
 *   Enabled  SAPI: apache2
>>> Unpacking source...
>>> Unpacking php-patchset-5.2.9-r2.tar.bz2 to /var/tmp/portage/dev-lang/php-5.2.9-r2/work
>>> Unpacking php-5.2.9.tar.bz2 to /var/tmp/portage/dev-lang/php-5.2.9-r2/work
 * Applying multilib-search-path.patch ...                                                                                                                                                          [ ok ]
 * Applying various patches (bugfixes/updates) ...
 *   imap-symlink.patch ...                                                                                                                                                                         [ ok ]
 *   iodbc-config.patch ...                                                                                                                                                                         [ ok ]
 *   ldap--as-needed.patch ...                                                                                                                                                                      [ ok ]
 *   mysql-charsetphpini.patch ...                                                                                                                                                                  [ ok ]
 *   mysqli-charsetphpini.patch ...                                                                                                                                                                 [ ok ]
 *   pdo_mysql-charsetphpini.patch ...                                                                                                                                                              [ ok ]
 *   prefork-peruser-itk.patch ...                                                                                                                                                                  [ ok ]
 *   with-iodbc.patch ...                                                                                                                                                                           [ ok ]
 * Done with patching
 * Applying various patches (bugfixes/updates) ...
 *   001_tests-ignore-php-ini.patch ...                                                                                                                                                             [ ok ]
 *   002_interbase-precision-fix.patch ...                                                                                                                                                          [ ok ]
 *   003_ext-zip-memory-corruptions.patch ...                                                                                                                                                       [ ok ]
 *   004_ext-filter-locale-awareness.patch ...                                                                                                                                                      [ ok ]
 *   005_ext-gd-imagepng-empty-image-crash.patch ...                                                                                                                                                [ ok ]
 *   006_ext-curl-set_opt-crash.patch ...                                                                                                                                                           [ ok ]
 *   007_ext-sysvshm-mem-alignment-fix.patch ...                                                                                                                                                    [ ok ]
 *   008_ext-mbstring-mem-alignment-fix.patch ...                                                                                                                                                   [ ok ]
 *   009_ob-memory-leaks.patch ...                                                                                                                                                                  [ ok ]
 *   010_ext-openssl-utf8-conversion-crash.patch ...                                                                                                                                                [ ok ]
 *   011_strnlen-compile-warning-fix.patch ...                                                                                                                                                      [ ok ]
 *   012_ext-xmlrpc-bad-callback-crash.patch ...                                                                                                                                                    [ ok ]
 *   013_ext-session-bad-save_path-crash.patch ...                                                                                                                                                  [ ok ]
 *   014_zend_string-offset-crashes.patch ...                                                                                                                                                       [ ok ]
 *   015_zend-double-efree-fix.patch ...                                                                                                                                                            [ ok ]
 *   016_ext-curl-open_basedir-bypass.patch ...                                                                                                                                                     [ ok ]
 * Done with patching
 * Running eautoreconf in '/var/tmp/portage/dev-lang/php-5.2.9-r2/work/php-5.2.9' ...
 * Running aclocal ...                                                                                                                                                                              [ ok ]
 * Running autoconf ...                                                                                                                                                                             [ !! ]

 * Failed Running autoconf !
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/dev-lang/php-5.2.9-r2/temp/autoconf.out

 *
 * ERROR: dev-lang/php-5.2.9-r2 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_unpack
 *             environment, line 4854:  Called php5_2-sapi_src_unpack
 *             environment, line 3744:  Called eautoreconf '--force' '-W' 'no-cross'
 *             environment, line 1389:  Called eautoconf
 *             environment, line 1331:  Called autotools_run_tool 'autoconf'
 *             environment, line  757:  Called die
 * The specific snippet of code:
 *           die "Failed Running $1 !";
 *  The die message:
 *   Failed Running autoconf !
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/lib/entropy/logs/dev-lang:php-5.2.9-r2:20090618-152907.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-lang/php-5.2.9-r2/temp/environment'.
 *

>>> Failed to emerge dev-lang/php-5.2.9-r2, Log file:

>>>  '/var/lib/entropy/logs/dev-lang:php-5.2.9-r2:20090618-152907.log'


& here is /var/tmp/portage/dev-lang/php-5.2.9-r2/temp/autoconf.out
Code: Select all
behrooz-laptop portage # cat /var/tmp/portage/dev-lang/php-5.2.9-r2/temp/autoconf.out
***** autoconf *****
***** PWD: /var/tmp/portage/dev-lang/php-5.2.9-r2/work/php-5.2.9
***** autoconf

configure.in:36: warning: LT_AC_PROG_SED is m4_require'd but not m4_defun'd
acinclude.m4:2629: PHP_CONFIG_NICE is expanded from...
configure.in:36: the top level
configure.in:166: warning: AC_PROG_LEX invoked multiple times
../../lib/autoconf/programs.m4:813: AC_DECL_YYTEXT is expanded from...
acinclude.m4:2096: PHP_PROG_LEX is expanded from...
configure.in:166: the top level
configure.in:457: warning: AC_CACHE_VAL(have_broken_glibc_fopen_append, ...): suspicious cache-id, must contain _cv_ to be cached
../../lib/autoconf/general.m4:1974: AC_CACHE_VAL is expanded from...
acinclude.m4:1686: PHP_BROKEN_GLIBC_FOPEN_APPEND is expanded from...
configure.in:457: the top level
ext/mbstring/config.m4:296: warning: AC_CACHE_VAL(cv_php_mbstring_stdarg, ...): suspicious cache-id, must contain _cv_ to be cached
../../lib/autoconf/general.m4:1994: AC_CACHE_CHECK is expanded from...
ext/mbstring/config.m4:61: PHP_MBSTRING_SETUP_MBREGEX is expanded from...
ext/mbstring/config.m4:296: the top level
ext/pdo_dblib/config.m4:55: warning: AC_CACHE_VAL(pdo_inc_path, ...): suspicious cache-id, must contain _cv_ to be cached
acinclude.m4:2736: PHP_CHECK_PDO_INCLUDES is expanded from...
ext/pdo_dblib/config.m4:55: the top level
ext/pdo_firebird/config.m4:43: warning: AC_CACHE_VAL(pdo_inc_path, ...): suspicious cache-id, must contain _cv_ to be cached
ext/pdo_firebird/config.m4:43: the top level
ext/pdo_mysql/config.m4:135: warning: AC_CACHE_VAL(pdo_inc_path, ...): suspicious cache-id, must contain _cv_ to be cached
ext/pdo_mysql/config.m4:135: the top level
ext/pdo_oci/config.m4:227: warning: AC_CACHE_VAL(pdo_inc_path, ...): suspicious cache-id, must contain _cv_ to be cached
ext/pdo_oci/config.m4:227: the top level
ext/pdo_odbc/config.m4:42: warning: AC_CACHE_VAL(pdo_inc_path, ...): suspicious cache-id, must contain _cv_ to be cached
ext/pdo_odbc/config.m4:42: the top level
ext/pdo_pgsql/config.m4:108: warning: AC_CACHE_VAL(pdo_inc_path, ...): suspicious cache-id, must contain _cv_ to be cached
ext/pdo_pgsql/config.m4:108: the top level
ext/pdo_sqlite/config.m4:14: warning: AC_CACHE_VAL(pdo_inc_path, ...): suspicious cache-id, must contain _cv_ to be cached
ext/pdo_sqlite/config.m4:14: the top level
ext/sqlite/config.m4:50: warning: AC_CACHE_VAL(pdo_inc_path, ...): suspicious cache-id, must contain _cv_ to be cached
ext/sqlite/config.m4:50: the top level
ext/standard/config.m4:285: warning: AC_CACHE_VAL(php_can_support_proc_open, ...): suspicious cache-id, must contain _cv_ to be cached
ext/standard/config.m4:285: the top level
configure.in:209: error: possibly undefined macro: AC_DEFINE
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure.in:242: error: possibly undefined macro: AC_MSG_RESULT
configure.in:1308: error: possibly undefined macro: AC_PROG_LIBTOOL
configure:2870: error: possibly undefined macro: LT_AC_PROG_SED
configure:136261: error: possibly undefined macro: _LT_AC_TRY_DLOPEN_SELF


i'm using sabayon 4.1 & libtool version is 2.2.6a
everplays
Baby Hen
 
Posts: 4
Joined: Wed Jun 17, 2009 17:41

Re: Failed to emerge dev-lang/php-5.2.9-r2

Postby Thev00d00 » Thu Jun 18, 2009 14:06

Heya.,

Thanks for reporting this, it has great detail and relevant information, however the forums are NOT the place for it.

This is isnt a sabayon ebuild, it is an upstream gentoo package, but feel free to report it on our bugzilla if you like, or you could save us some work and report it directly on the gentoo bugzilla.

Ian
Image
Please report Bugs on the Bugzilla, not forum
Please Adopt an Unanswered thread
Website / Blog : v00d00.net
twitter: Follow Me
G+: Circle Me
Thev00d00
Generally Awesome (tm)
 
Posts: 1472
Joined: Wed Feb 21, 2007 15:52
Location: United Kingdom

Re: Failed to emerge dev-lang/php-5.2.9-r2

Postby everplays » Thu Jun 18, 2009 14:41

thanks for reply, so i will post it on gentoo bugzilla & when i get answer i will post back result here :)
everplays
Baby Hen
 
Posts: 4
Joined: Wed Jun 17, 2009 17:41


Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest